JUCE: AudioProcessLoadMeasurer Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
AudioProcessLoadMeasurer Class Reference
juce_audio_basics » buffers

Maintains an ongoing measurement of the proportion of time which is being spent inside an audio callback. More...

`#include <juce_AudioProcessLoadMeasurer.h>`

## Classes
struct | ScopedTimer
| This class measures the time between its construction and destruction and adds it to an AudioProcessLoadMeasurer. More...

## Public Member Functions
| AudioProcessLoadMeasurer ()
| ~AudioProcessLoadMeasurer ()
| Destructor.
void | reset ()
| Resets the state.
void | reset (double sampleRate, int blockSize)
| Resets the counter, in preparation for use with the given sample rate and block size.
double | getLoadAsProportion () const
| Returns the current load as a proportion 0 to 1.0.
double | getLoadAsPercentage () const
| Returns the current load as a percentage 0 to 100.0.
int | getXRunCount () const
| Returns the number of over- (or under-) runs recorded since the state was reset.
void | registerBlockRenderTime (double millisecondsTaken)
| Can be called manually to add the time of a callback to the stats.
void | registerRenderTime (double millisecondsTaken, int numSamples)
| Can be called manually to add the time of a callback to the stats.

## Detailed Description

Maintains an ongoing measurement of the proportion of time which is being spent inside an audio callback.

## Constructor & Destructor Documentation

## ◆ AudioProcessLoadMeasurer()

AudioProcessLoadMeasurer::AudioProcessLoadMeasurer | ( |  | ) |

## ◆ ~AudioProcessLoadMeasurer()

AudioProcessLoadMeasurer::~AudioProcessLoadMeasurer | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ reset() [1/2]

void AudioProcessLoadMeasurer::reset | ( |  | ) |

Resets the state.

## ◆ reset() [2/2]

void AudioProcessLoadMeasurer::reset | ( | double | sampleRate,
|  | int | blockSize
| ) |  |

Resets the counter, in preparation for use with the given sample rate and block size.

## ◆ getLoadAsProportion()

double AudioProcessLoadMeasurer::getLoadAsProportion | ( |  | ) | const

Returns the current load as a proportion 0 to 1.0.

## ◆ getLoadAsPercentage()

double AudioProcessLoadMeasurer::getLoadAsPercentage | ( |  | ) | const

Returns the current load as a percentage 0 to 100.0.

## ◆ getXRunCount()

int AudioProcessLoadMeasurer::getXRunCount | ( |  | ) | const

Returns the number of over- (or under-) runs recorded since the state was reset.

## ◆ registerBlockRenderTime()

void AudioProcessLoadMeasurer::registerBlockRenderTime | ( | double | millisecondsTaken | ) |

Can be called manually to add the time of a callback to the stats.

Normally you probably would never call this - it's simpler and more robust to use a ScopedTimer to measure the time using an RAII pattern.

## ◆ registerRenderTime()

void AudioProcessLoadMeasurer::registerRenderTime | ( | double | millisecondsTaken,
|  | int | numSamples
| ) |  |

Can be called manually to add the time of a callback to the stats.

Normally you probably would never call this - it's simpler and more robust to use a ScopedTimer to measure the time using an RAII pattern.

The documentation for this class was generated from the following file:

- juce_AudioProcessLoadMeasurer.h